from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XStateChangeListener(XEventListener, Protocol):
    def stateChanged(self, aEvent: EventObject, nOldState: int, nNewState: int) -> None: ...
